Name:           bnfc
Version:        2.8.1
Release:        1%{?dist}
Summary:        Convert labelled BNF grammar to lexer/parser generator files

License:        GPLv2+
# Upstream notified of incorrect FSF address:
#   https://github.com/BNFC/bnfc/issues/200

URL:            https://hackage.haskell.org/package/BNFC
Source0:        https://hackage.haskell.org/package/BNFC-2.8.1/BNFC-2.8.1.tar.gz

BuildRequires:  alex
BuildRequires:  happy
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros

%description
The BNF Converter is a compiler construction tool generating a
compiler front-end from a Labelled BNF grammar. It was originally
written to generate Haskell, but starting from Version 2.0, it can
also be used for generating Java, C++, and C.

Given a Labelled BNF grammar the tool produces: an abstract syntax as
a HaskellC++C module or Java directory, a case skeleton for the
abstract syntax in the same language, an Alex, JLex, or Flex lexer
generator file, a Happy, CUP, or Bison parser generator file, a
pretty-printer as a HaskellJavaC++/C module, a Latex file containing a
readable specification of the language.

%prep
%setup -q -n BNFC-%{version}

%build
%ghc_bin_build

%install
%ghc_bin_install
rm -rf %{buildroot}%{_libdir}

%files
%license LICENSE
%{_bindir}/%{name}

%changelog
* Tue Dec 13 2016 Eric Smith <brouhaha@fedoraproject.org> 2.8.1-1
- Initial version.
